#ifndef ESP32_UCGLIB_HAL_H
#define ESP32_UCGLIB_HAL_H

#include <ucg.h>

#include "driver/gpio.h"
#include "driver/spi_master.h"
#include "driver/i2c.h"
#include "esp_intr_alloc.h"
#include <esp_log.h>

typedef struct {
	gpio_num_t clk;
	gpio_num_t mosi;
	gpio_num_t cs;
	gpio_num_t reset;
	gpio_num_t dc;
} ucg_esp32_hal_t ;

int16_t ucg_esp32_hal(ucg_t *ucg, int16_t msg, uint16_t arg, uint8_t *data);

#endif /* ESP32_UCGLIB_HAL_H */
